Advertisement:

Author Topic: 1.15 to 2.0.15 upgrade?  (Read 387 times)

Offline chaos40

  • Semi-Newbie
  • *
  • Posts: 44
1.15 to 2.0.15 upgrade?
« on: May 23, 2019, 11:58:07 AM »
Hello all,

I would like to know if there is a way to upgrade from 1.15 to 2.015 while keeping all of my existing settings and modifications?

Ironically, this is not due to the fact that I have an existing forum which is so outdated but rather a new forum I want to build for a user community that has fallen in love with the Tufat chat module which seems to only be available for the 1.15 branch of code. My plan would be to install 1.15 along with this chat software and then upgrade the whole site to 2.0.15

My apologies forthcoming if there is already a topic on this matter which I missed.

thanks

Offline Illori

  • Project Manager
  • SMF Legend
  • *
  • Posts: 50,717
Re: 1.15 to 2.0.15 upgrade?
« Reply #1 on: May 23, 2019, 12:13:04 PM »
mods made for SMF 1.1.* will not work on SMF 2.0.*

Offline chaos40

  • Semi-Newbie
  • *
  • Posts: 44
Re: 1.15 to 2.0.15 upgrade?
« Reply #2 on: May 23, 2019, 12:21:05 PM »
Ok. thanks.

Any recommendations for mitigating the vulnerabilities on the 1.15?

Maybe running mod security on the apache web server? I'm pretty proficient in that area.

I'm the most concerned with some of the sql injection stuff that exists in the 1.15 branch of code.

Or, alternatively, do you know of any flash chat program that operates similar to the tufat flash chat module?

thanks

Offline vbgamer45

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 21,232
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: 1.15 to 2.0.15 upgrade?
« Reply #3 on: May 23, 2019, 12:31:16 PM »
May help but not recommend with mod_security. The only way is to backport changes from 2.0.x to 1.1.x not recommend at this point.
As your site will be vulnerable on older versions of PHP.  Recommend now PHP 7.1.x for SMF 2.0.x
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline chaos40

  • Semi-Newbie
  • *
  • Posts: 44
Re: 1.15 to 2.0.15 upgrade?
« Reply #4 on: May 23, 2019, 03:48:52 PM »
Any really good chat programs that integrate with SMF the way flashchat did?

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,918
Re: 1.15 to 2.0.15 upgrade?
« Reply #5 on: May 23, 2019, 04:53:35 PM »
Flash has gone eol due to persistent security vulnerabilities that Adobe was never able to correct.  Not much point in running an insecure mod in an insecure forum version. :P

Offline Oldiesmann

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 24,858
  • Gender: Male
  • Ask me about the function DB :)
    • oldiesmann on Facebook
    • Oldiesmann on GitHub
    • https://www.linkedin.com/in/michaeleshom on LinkedIn
    • @oldiesmann on Twitter
    • Archie Comics Fan Forum
Re: 1.15 to 2.0.15 upgrade?
« Reply #6 on: May 24, 2019, 09:18:24 PM »
Unfortunately there don't seem to be any good working chat mods for SMF these days. There's still an AJAX Chat mod that works with 2.0, but the chat script itself didn't work anymore last time I tried it.
Michael Eshom
Cincy Space - now open!

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,918
Re: 1.15 to 2.0.15 upgrade?
« Reply #7 on: May 24, 2019, 09:48:32 PM »
I installed this chat mod on a couple of forums. still works afaik.